=== debian/changelog ===
jampal (02.01.05+dfsg1-1ubuntu1) quantal; urgency=low

  * Transition package to default java implementation:
    - d/control: Switch BD openjdk-6-jdk -> default-jdk, and runtime
      dependency from openjdk-6-jre -> default-jre.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Aug 2012 16:26:41 +0100

jampal (02.01.05+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #626991)

 -- Peter Bennett <pgbennett@comcast.net>  Sat, 09 Jul 2011 20:04:14 -0400
