=== jampal/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 #
 #
 
-# FREETTS is only used in Cygwin builds or non-debian unix
-FREETTS_HOME=/opt/freetts
+# FREETTS is used in Cygwin, Ubuntu or non-debian unix
+FREETTS_HOME=/usr/share/java
 
 all: jampal.jar
 
@@ -104,18 +104,19 @@
 	# compiler will pull in needed other modules from the source tree and compile
 	# them as well
 	"${JAVA_PATH}"java -version
-	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes build/classes/pgbennett/jampal/Jampal.java
-	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes build/classes/pgbennett/id3/TagUpdate.java
-	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes \
+	"${JAVA_PATH}"javac -g -source 1.6 -target 1.6 -d build/classes -sourcepath build/classes build/classes/pgbennett/jampal/Jampal.java
+	"${JAVA_PATH}"javac -g -source 1.6 -target 1.6 -d build/classes -sourcepath build/classes build/classes/pgbennett/id3/TagUpdate.java
+	"${JAVA_PATH}"javac -g -source 1.6 -target 1.6 -d build/classes -sourcepath build/classes \
        build/classes/org/tritonus/sampled/convert/javalayer/MpegFormatConversionProvider.java
-	"${JAVA_PATH}"javac -g -d build/classes -sourcepath build/classes \
+	"${JAVA_PATH}"javac -g -source 1.6 -target 1.6 -d build/classes -sourcepath build/classes \
        build/classes/org/tritonus/sampled/file/mpeg/MpegAudioFileReader.java
-	if [ "${DEBIAN_BUILD}" != Y -a -f "${FREETTS_HOME}/lib/freetts.jar" ] ; then \
-       "${JAVA_PATH}"javac -g -d build/classes \
-       -sourcepath build/classes -classpath "${FREETTS_HOME}/lib/freetts.jar" \
-       build/classes/pgbennett/speech/BatchSpeaker.java ; fi
-	if [ "${DEBIAN_BUILD}" != Y -a -f "${FREETTS_HOME}/lib/freetts.jar" ] ; then \
-       "${JAVA_PATH}"javac -g -d build/classes \
-       -sourcepath build/classes -classpath ${FREETTS_HOME}/lib/freetts.jar \
-       build/classes/pgbennett/speech/FreeTTSSpeaker.java ; fi
+	# freetts does not work, hangs so not including it
+#	if [ -f "${FREETTS_HOME}/freetts.jar" ] ; then \
+#       "${JAVA_PATH}"javac -g -d build/classes \
+#       -sourcepath build/classes -classpath "${FREETTS_HOME}/freetts.jar" \
+#       build/classes/pgbennett/speech/BatchSpeaker.java ; fi
+#	if [ -f "${FREETTS_HOME}/freetts.jar" ] ; then \
+#       "${JAVA_PATH}"javac -g -d build/classes \
+#       -sourcepath build/classes -classpath ${FREETTS_HOME}/freetts.jar \
+#       build/classes/pgbennett/speech/FreeTTSSpeaker.java ; fi
 	echo yes > make_basic
