=== debian/changelog ===
jampal (02.01.06.199-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Mar 2017 15:08:25 +0100

jampal (02.01.06.199-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Sep 2015 14:01:01 +0200

jampal (02.01.06-dmo2) unstable; urgency=low

  * Build jampal in build-indep target and tagbkup in build-arch target.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Sep 2012 08:24:07 +0200

jampal (02.01.06-dmo1) unstable; urgency=low

  * New upstream release.
  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Sep 2012 14:58:52 +0200
