=== debian/rules ===
#!/usr/bin/make -f

# Used by some of the upstream make files to exclude
# things from the build

export DEBIAN_BUILD := Y

UPSTRMVERSION1 := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' '|cut -f1 -d+)
UPSTRMVERSION2 := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' '|cut -f1 -d-)

VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f2 -d' ')

#export DEB_CFLAGS_MAINT_APPEND = -Wno-narrowing
#export DEB_CXXFLAGS_MAINT_APPEND = -Wno-narrowing

%:
	dh $@ --with quilt

override_dh_auto_install-arch:
	cd tagbkup && make install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_build-indep:
	cd jampal && make all
	cd html && make all

override_dh_auto_install-indep:
	cd jampal && make install DESTDIR=$(CURDIR)/debian/tmp
	cd html && make install DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --fail-missing

override_dh_auto_build:
