=== debian/watch ===
version=3

http://sf.net/jampal/jampal-source-(.*)\.tar\.gz
